#@TYPE: Machine
#@NAME: HTC Blueangel
#@DESCRIPTION: Machine configuration for the HTC Blueangel device

#
# Hardware-based properties
#
TARGET_ARCH = "arm"
PACKAGE_EXTRA_ARCHS = "armv4 armv4t armv5e armv5te "

require conf/machine/include/tune-xscale.inc

ROOT_FLASH_SIZE = "32"
VOLATILE_STORAGE_SIZE = "128"
MACHINE_GUI_CLASS = "smallscreen"
MACHINE_DISPLAY_WIDTH_PIXELS = "240"
MACHINE_DISPLAY_HEIGHT_PIXELS = "320"
MACHINE_FEATURES = "kernel26 touchscreen apm alsa irda bluetooth wifi usbgadget screen vfat phone"

#
# Software/packages selection
#
PREFERRED_PROVIDER_virtual/kernel = "linux-handhelds-2.6"
PCMCIA_MANAGER = "pcmciautils"
PREFERRED_PROVIDER_xserver = "xserver-kdrive"

MACHINE_EXTRA_RDEPENDS = "acx-firmware ${PCMCIA_MANAGER}"
MACHINE_EXTRA_RRECOMMENDS = "kernel-module-blueangel_pcmcia \
			     kernel-module-blueangel_audio \
			     kernel-module-blueangel_rom \
			     kernel-module-blueangel_kp \
			     kernel-module-blueangel_battery \
			     kernel-module-blueangel_leds \
			     kernel-module-himalaya_tsc2200 \
			     kernel-module-himalaya_ts3 \
			     kernel-module-asic3-mmc"
#
# Modules autoload and other boot properties
#
module_autoload_snd-pcm-oss = "snd-pcm-oss"
module_autoload_g_ether = "g_ether"
module_autoload_evdev             = "evdev"
module_autoload_himalaya_tsc2200  = "himalaya_tsc2200"
module_autoload_himalaya_ts3      = "himalaya_ts3"
module_autoload_asic3_mmc         = "asic3_mmc"
module_autoload_g_ether           = "g_ether"
module_autoload_blueangel_kp      = "blueangel_kp"
module_autoload_pxa2xx_udc        = "pxa2xx_udc"
module_autoload_blueangel_audio   = "blueangel_audio"
module_autoload_bluenagel_leds    = "bleangel_leds"
module_autoload_hci_uart          = "hci_uart"
module_autoload_snd-mixer-oss     = "snd-mixer-oss"
module_conf_acx = "blacklist acx"

SERIAL_CONSOLE = "115200 ttyS0 vt100"
USE_VT = "0"

require conf/machine/include/LAB-settings.inc
